package com.lanyuanxiaoyao.service.cli.core;

/**
 * 主机
 *
 * @author lanyuanxiaoyao
 * @date 2023-05-17
 */
public class HostInfo {
    private String ip;
    private Boolean useAuthority = false;
    private String username;
    private String password;

    public String getIp() {
        return ip;
    }

    public void setIp(String ip) {
        this.ip = ip;
    }

    public Boolean getUseAuthority() {
        return useAuthority;
    }

    public void setUseAuthority(Boolean useAuthority) {
        this.useAuthority = useAuthority;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @Override
    public String toString() {
        return "HostInfo{" +
               "ip='" + ip + '\'' +
               ", useAuthority=" + useAuthority +
               ", username='" + username + '\'' +
               ", password='" + password + '\'' +
               '}';
    }
}
